Loading...
Searching...
No Matches
byte_array< N >

Arbitrary fixed-size data. More...

`#include <byte_array.hpp>`

## Public Types

Sequence container typedefs
typedef uint8_t | value_type
typedef value_type * | pointer
typedef const value_type * | const_pointer
typedef value_type & | reference
typedef const value_type & | const_reference
typedef value_type * | iterator
typedef const value_type * | const_iterator
typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator

## Public Member Functions

| byte_array ()
| Zero-initialized byte array.
Array operators
value_type * | begin ()
value_type * | end ()
value_type & | operator[] (size_t i)
const value_type * | begin () const
const value_type * | end () const
const value_type & | operator[] (size_t i) const

## Static Public Member Functions

static size_t | size ()
| Size of the array.

## Friends

std::ostream & | operator<< (std::ostream &o, const byte_array &b)
| Print byte array in hex.
Comparison operators
bool | operator== (const byte_array &x, const byte_array &y)
bool | operator< (const byte_array &x, const byte_array &y)

## Detailed Description

template<size_t N>
class proton::byte_array< N >

Arbitrary fixed-size data.

Used to represent fixed-sized data types that don't have a natural C++ representation as an array of bytes.

The documentation for this class was generated from the following file:

- proton/byte_array.hpp